Get default agent config
curl --request GET \
--url https://app.freyavoice.ai/api/v2/agents/defaults \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.freyavoice.ai/api/v2/agents/defaults"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.freyavoice.ai/api/v2/agents/defaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>",
"result": {
"config": {
"llmConfig": {
"provider": "<string>",
"model": "<string>",
"systemPrompt": "<string>",
"baseUrl": "<string>",
"apiKey": "<string>",
"firstMessage": null,
"firstMessageMode": "assistant-waits-for-user",
"disableInterruptionsDuringFirstMessage": false,
"maxTokens": 1000,
"maxContextWindow": 5000512,
"temperature": 0.7,
"tools": [],
"additionalSettings": {},
"retryExhaustionMessage": "<string>",
"farewellMessage": "<string>"
},
"ttsConfig": {
"provider": "<string>",
"voiceId": "<string>",
"model": null,
"language": "multi",
"baseUrl": "<string>",
"apiKey": "<string>",
"additionalSettings": {},
"startSpeakingPlan": {
"waitSeconds": 0.4,
"backgroundNoisePhrases": [
"<string>"
]
},
"stopSpeakingPlan": {
"numberOfWords": 1,
"voiceSeconds": 0.4,
"backOffSeconds": 0.4,
"acknowledgementPhrases": [
"<string>"
],
"interruptionPhrases": [
"<string>"
]
},
"textSubstitutions": [
{
"pattern": "<string>",
"replacement": "<string>",
"caseInsensitive": true
}
],
"speechNormalization": {
"emails": true,
"urls": true,
"emojis": true,
"phoneNumbers": false,
"identityNumbers": false,
"generalNumbers": false,
"advanced": {
"numbers": false,
"money": false,
"dates": false,
"times": false,
"percentages": false,
"fractions": false,
"units": false,
"ordinals": false,
"abbreviations": false,
"iban": false,
"symbols": false
}
},
"normalizationPrompt": "<string>"
},
"sttConfig": {
"provider": "<string>",
"model": null,
"language": "multi",
"baseUrl": "<string>",
"apiKey": "<string>",
"additionalSettings": {},
"confidenceReask": {
"enabled": false,
"threshold": 0.3,
"reduction": "min",
"disableOnDigitNodes": true,
"reaskMode": "phrase",
"reaskPhrases": null,
"maxConsecutiveReasks": 2
}
},
"complianceConfig": {
"pciDss": false,
"mifidIi": false,
"euAiAct": false,
"soc2": false
},
"callTimeoutSettings": {
"silenceTimeout": 0,
"maximumDuration": 600,
"checkInMessage": null,
"closureMessage": null,
"maxRetries": 2,
"silenceTimeoutPrompt": null,
"maxDurationEndCall": null,
"dynamicWait": null
},
"voicemailDetection": {
"enabled": false,
"messageMode": "none",
"staticMessage": null,
"voicemailResponseDelay": 2
},
"dtmfConfig": {
"enabled": false,
"timeout": 2,
"terminationDigit": "#",
"prefix": "DTMF: "
},
"postConversationAnalysis": {
"summaryPrompt": null,
"autoDetectProblems": false,
"problemDetectionPrompt": null,
"problemDetectionInstructions": null,
"analysisModel": null
},
"privacyConfig": {
"enableRecording": false,
"getRecordingConsent": false,
"recordingConsentText": null,
"stopSecs": 1,
"preSpeechMs": 1,
"maxDurationSecs": 1
},
"turnAnalyzerConfig": {
"url": "<string>",
"modelPath": "<string>"
},
"guardrailsConfig": {
"guardrails_enabled": false,
"custom_rules_enabled": false,
"rules": [],
"refuse_message": "I'm sorry, I can't help with that.",
"max_regenerate_retries": 2,
"regenerate_wait_message": "One moment, please.",
"classifier_enabled": false,
"classifier_provider": "<string>",
"classifier_model": "<string>",
"input_config": {
"enabled": false,
"normalize": true,
"detect_injection": true,
"detect_weird_input": true,
"run_classifier": true,
"refuse_message": "I'm sorry, I can't help with that.",
"max_input_chars": 8000
}
},
"piiRedactionConfig": {
"enabled": false,
"maskEmail": true,
"maskPhone": true,
"maskPaymentCard": true,
"maskNationalId": true,
"maskIban": true,
"customRules": []
},
"routingLlmConfig": {
"provider": "<string>",
"model": "<string>",
"baseUrl": "<string>",
"apiKey": "<string>"
},
"extractionLlmConfig": {
"provider": "<string>",
"model": "<string>",
"baseUrl": "<string>",
"apiKey": "<string>"
},
"backgroundSoundUrl": null,
"syncSource": {
"url": "<string>",
"apiKey": "<string>",
"syncedAt": "2023-11-07T05:31:56Z"
},
"testVariables": {}
}
}
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}Agents
Get default agent config
Returns the platform default agent configuration (with language localization applied) used by the editor’s reset-to-default controls.
GET
/
agents
/
defaults
Get default agent config
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Workspace ID
Maximum string length:
10⌘I